# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Changed

- Updated README to run tests against JS dependencies

### Added

- Emergency flag in mission plan schemas


## [v0.1.0] - 2023-03-24

### Added

JSON schema definitions for the SoAR project
- outer wrapper MESSAGE definition 
- header object 
- payload object
  - acknowledgement
  - mission_plan (raw and encoded)
  - observation (raw and encoded)
  - platform_status (raw and encoded) 
  - planning_configuration 

Example messages matching the schema for each partner

[v0.1.0]: https://git.noc.ac.uk/communications-backbone-system/backbone-message-format/compare/9e6ce245...v0.1.0
[unreleased]: https://git.noc.ac.uk/communications-backbone-system/backbone-message-format/compare/v0.1.0...dev
